<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\ZsaAnmeldung\BelegungsUebersicht;

class BelegungsUebersichtView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'teilnehmer/zsa_anmeldung/anmeldung_uebersicht.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    $datamodul = new \Datamodul();
    $datamodul->erfolgsmeldung = $this->viewModel->erfolgsmeldung;
    $datamodul->fehlermeldung = $this->viewModel->fehlermeldung;

    $datamodul->sort_1 = $this->viewModel->sort_1;
    $datamodul->sort_2 = $this->viewModel->sort_2;
    $datamodul->sort_3 = $this->viewModel->sort_3;

    return array($datamodul);
  }

  protected function getBodyDataModulArray()
  {
    $that = $this;
    $this->viewModel->belegungen = array_map(function($belegung) use ($that) {
      $belegung->prio_select = $that->prioOptionen($belegung->prioanm);

      return $belegung;
    }, $this->viewModel->belegungen);

    return $this->viewModel->belegungen;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpBelegung();
  }

  
  private function prioOptionen($selectedPrio)
  {
    $result = '';
    for ($i = 1; $i <= 99; $i++) {
      $selected = ($selectedPrio == $i) ? 'selected' : '';
      $result .= '<option value="' . $i . '" ' . $selected . '>' . $i . '</option>' . "\n";
    }

    return $result;
  }
}

class BelegungsUebersichtViewModel
{
  public $belegungen;
  public $erfolgsmeldung;
  public $fehlermeldung;

  public $sort_1;
  public $sort_2;
  public $sort_3;
}